/*Основые стили*/
@font-face {
    font-family: 'Eugusto';
    src: url(../fonts/Eugusto.otf) format("opentype");
    font-weight: normal;
}
  
body{
    margin: 0;
    background-color: #ffffff;
}

.wrapper {
    width: 90%;
    max-width: 1100px; 
    margin: 0 auto; 
}

.wrapper h1{
    background-color: none;
}

a {
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
    font-weight: 500;
    text-decoration: none;
    color: #3C1560; 
}

a:visited {
    color: #3C1560; 
}

a:hover {
    color: #E2D3F1;
}

h1{
    font-family: 'Eugusto'; 
    text-align: center;
    color: #3C1560;
    margin: 15px 0;
    letter-spacing: 4px;
}

.content h1{
    padding-top: 20px;
    padding-bottom: 17px;
    background-color: #E2D3F1;
    font-size: 23px;
    letter-spacing: 1px;
}

p {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-family: "Montserrat", sans-serif;
    color: #000000;
    font-size: 16px;
}

h2 {
    font-family: "Montserrat";
    color: #3C1560;
}

/*Стили шапки*/

.header_content{
    display: flex;
    position: relative; 
    z-index: 3;
}

.front .header_content a{
    color: #ffffff;
}

.front .header_content a:hover{
    color: #E2D3F1;
}

.content_logo{
    display: flex;
    align-items: center;
    padding: 10px;
}

.doc{
    display: flex;
    flex-direction: column;
    margin: 0 20px;
}

.doc a{
    font-size: 16px;
}
.header_content_wrap {
    display: flex;
    align-items: center;
    margin-left: auto;
}

.burger-menu {
    display: none; 
    flex-direction: column; 
    justify-content: space-around; 
    width: 30px;
    height: 30px;
    background: transparent; 
    border: none;
    cursor: pointer;
    padding: 0;
    z-index: 10; /* */
    margin-right: 10px;
}

.front .burger-menu__line{
    background-color: #ffffff;
}
.burger-menu__line {
    width: 100%;
    height: 2px;
    background-color: #3C1560; 
    border-radius: 2px;
    transition: transform 0.3s ease-in-out;
}
.burger-menu.active .burger-menu__line:nth-child(1){
    transform: rotate(45deg) translate(10px, 0px);
}

.burger-menu.active .burger-menu__line:nth-child(2){
    opacity: 0;
}

.burger-menu.active .burger-menu__line:nth-child(3){
    transform: rotate(-45deg) translate(10px, 0px);
}

.header_menu {
    display: flex;
    list-style: none;
}

.header_menu__list { 
    display: flex;
    margin: 0;
    padding: 0;
    list-style: none;
}

.header_menu li {
    margin-left: 25px;
}

.logo {
    width: 65px;
    height: 40px;
    margin: auto;
    padding-right: 7px;
}

/*Стили лендинга*/

.lend {
    position: relative;
    top: 0;
    margin-top: -100px;
    width: 100%;
    height: 600px;
    overflow: hidden;
}

.pic {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.pic img {
    width: 100%;
    height: 600px;
    object-fit: cover;
}

.pic::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #3C1560;
    opacity: 0.5;
    z-index: 1;
}

.wrap {
    position: absolute;
    top: 25%;
    z-index: 2;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.wrap h1 {
    color: #ffffff;
    margin-bottom: 15%;
    text-align: left;
    font-size: 70px;
    font-family: 'Eugusto', sans-serif;
}

.but {
    background-color: #3C1560;
    border-radius: 10px;
    border: 0;
    padding: 10px 20px;
    text-align: center;
    color: #ffffff;
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
    text-align: center;
    margin: 0; 
    font-weight: 600;
}

.wrap .but{
    background-color: #ffffff;
    color: #3C1560;
}

.but:hover{
    background-color: #fcdf62;
}

/*Стили блока "Ананда-йога"*/

.ananda {
  display: flex;
  align-items: flex-start;
  gap: 30px;
  margin-top: 30px;
}

.ananda_txt {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.ananda_txt h2 {
  font-size: 28px;
  font-family: 'Eugusto';
  background-color: none;
  margin-bottom: 0; 
  line-height: 1.3;
}

.ananda_txt p {
  font-size: 16px;
  line-height: 1.7;
  color: #000000;
  text-align: justify;
  margin-bottom: 0;
}

.ananda_img {
  flex-basis: 28%;
  flex-shrink: 0;
  display: flex; 
  justify-content: center;
  align-items: center; 
  padding: 15px;
}

.ananda_img img,
.ananda > img { 
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  border-radius: 50%;
box-shadow: 0 4px 8px rgba(81, 52, 108, 0.3);
  display: block; 
}

/*Стили блока "Польза йоги"*/

.polza{
    margin-top: 15px;
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
}

.polza_el{
    width: 33%; 
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-sizing: border-box;
    padding: 20px;
}

.polza_el h2{
    margin: 0;
}

.polza_el img{
    height: 70px;
    width: 70px;
    display: block;
    margin: 0 auto;
    margin-bottom: 10px;
}

/*Стили страницы курсов*/

.curs_el{
    border-radius: 10px;
    width: 100%;
    box-shadow: 0 4px 8px rgba(81, 52, 108, 0.3);
    display: flex;
    align-items: center;
    box-sizing: border-box;
    padding: 10px;
    margin-bottom: 10px;
}

.curs_el h2{
    font-family: 'Eugusto';
}

.curs_el img{
    object-fit: cover; 
    width: 250px;
    border-radius: 10px;
}

.but_info{
    margin-top: 20px;
}

.curs_txt {
    padding: 0 20px;
}

/*Стили страниц курсов*/

.img_info img{
    border-radius: 10px;
    object-fit: cover; 
    width: 400px;
}

.info_curs h2{
    font-size: 20px;

}

.block_info{
    border-radius: 10px;
    background-color: #E2D3F1;
    width: 600px;
    padding: 10px;
}

/*Стили страницы занятий*/

.nap{
    margin-top: 15px;
    width: 100%;
    justify-content: center;
    align-items: center;
}

.nap_el{
    border-radius: 10px;
    width: 100%;
    box-shadow: 0 4px 8px rgba(81, 52, 108, 0.3);
    display: flex;
    align-items: center;
    box-sizing: border-box;
    padding: 10px;
    margin-bottom: 10px;
}

.nap_el h2{
    font-family: 'Eugusto';
}

.nap_txt {
    padding: 0 20px;
}

.nap_el img{
    object-fit: cover; 
    width: 400px;
    border-radius: 10px;
    display: block;
}

.info {
    transition: all 0.3s ease;
}

/*Стили формы записи*/

form input[type="submit"] {
    margin-top: 15px;
    border-radius: 10px;
    border: 0;
    padding: 10px 20px;
    text-align: center;
    color: #3C1560;
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
    text-align: center;
    font-weight: 600; ;
}

form input[type="submit"]:hover {
    background-color: #eec42e ;
}

form a{
    font-size: 16px;
}

.privacy-policy-agreement {
  display: flex;        
  align-items: center;   
  gap: 8px;
  width: 300px;              
}

.privacy-policy-agreement label {
  display: inline; 
  line-height: 1.2; 
}

.yoga-input{
    width: 300px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    color: #51346C;
    font-family: "Montserrat", sans-serif;
    box-sizing: border-box;
 }

form label {
    display: flex;
    padding: 8px 0;
    color: #51346C;
    font-family: "Montserrat", sans-serif;
    font-weight: 500;
}

.forma{
    padding-left: 10px;
    padding: 10px;
}

.form {
    border-radius: 10px;
    display: flex;
    align-items: center; 
    width: 100%;
    background-color: #E2D3F1;
}

.form_img{
    flex: 1;
    display: flex; 
    justify-content: flex-end; 
    align-items: center; 
    overflow: hidden; 
    padding: 0 10px;
}

.form_img img{
    object-fit: cover; 
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(81, 52, 108, 0.3);
    display: block; 

}

/*Стили блока "Обо мне"*/

.about {
    display: flex; 
    align-items: center; 
    margin: 30px 0;
}

.pic-about img{
    object-fit: cover; 
    border-radius: 10px;
    height: 400px;
    display: block;
    width: 100%;
  }
  
.txt-about {
    border-radius: 10px;
    margin-left: -20px;
    max-width: 650px;
    box-shadow: 0 4px 8px rgba(81, 52, 108, 0.3);
    padding: 15px 40px;
}

.txt-about h2{
    margin-top: 5px;
    font-family: 'Eugusto';
}
.txt-about p {
    font-family: "Montserrat", sans-serif;
    text-align: justify;
    font-size: 17px;
    margin-bottom: 1em;
}

/*Стили страницы новостей*/
  
.news {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: center;
}

.post {
    width: calc(33.33% - 30px);
    margin: 15px; 
    box-sizing: border-box; 
    text-align: center; 
    overflow: hidden;
}

.post a {
    position: relative;
    display: block; 
    text-decoration: none; 
    color: inherit; 
}

.post img {
    width: 100%;
    height: 400px; 
    object-fit: cover; 
    border-radius: 10px;
    display: block; 
    margin: 0 auto 10px auto;
    position: relative;
    z-index: 0; 
}

.post a::before {
    content: ''; 
    position: absolute; 
    top: 0;
    left: 0; 
    width: 100%; 
    height: 400px;
    background-color: rgba(81, 52, 108, 0.3);
    border-radius: 10px;
    z-index: 1; 
}

.post h2 {
    position: relative; 
    margin-top: 0; 
    margin-bottom: 5px;
    color: #333; 
}

.post p {
    position: relative;
    margin-top: 0;
    margin-bottom: 10px;
    font-size: 0.9em; 
    line-height: 1.4;
    color: #555; 
}

/*Стили слайдера новостей*/

.news-slider {
    display: flex;
    overflow: hidden; 
    position: relative; 
}

.slide {
    display: block;
    flex: 1;
    box-sizing: border-box;
    padding: 10px;
    text-align: center;
}

.slide a {
    position: relative;
    display: block; 
}

.slide a::before {
    content: ''; 
    position: absolute; 
    left: 50%;
    transform: translateX(-50%);
    top: 0;
    width: 330px;
    height: 400px; 
    background-color: rgba(81, 52, 108, 0.3);
    border-radius: 10px;
    z-index: 1; 
}

.slide img {
    width: 330px;
    height: 400px;
    object-fit: cover;
    border-radius: 10px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    position: relative; 
    z-index: 0;
}

.slide h2 {
    position: relative; 
    margin-top: 10px;
}

.slide:first-of-type {
    display: block;
}

.prev, .next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: rgba(248, 241, 255, 0.5);
  color: white;
  padding: 7px;
  font-size: 20px;
  border: none;
  cursor: pointer;
  z-index: 10; 
}

.prev {
  left: 10px;
}

.next {
  right: 10px;
}

/*Стили таблицы админа*/

.yoga-registrations-table-wrapper {
    margin-top: 20px;
    margin-bottom: 30px;
}

.yoga-registrations-table-wrapper h2 {
    margin-bottom: 15px;
    font-size: 24px;
    padding-bottom: 10px;
}

.yoga-registrations-table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 10px;
    box-shadow: 0 2px 5px #E2D3F1;
}

.yoga-registrations-table thead th {
    background-color: #f8f9fa;
    font-family: "Montserrat";
    color: #3C1560;
    font-weight: bold;
    padding: 12px 15px;
    text-align: left; 
    border-bottom: 2px solid #dee2e6;
}

.yoga-registrations-table tbody td {
    padding: 10px 15px;
    border-bottom: 1px solid #e9ecef;
    color: #3C1560;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    vertical-align: middle;
}

.yoga-registrations-table tbody tr:hover {
    background-color: #E2D3F1;
    cursor: default;
}


.yoga-edit-img{
    width: 20px;
    height: 20px;
    margin: 0;
}

.yoga-delete-btn{
    width: 25px;
    height: 25px;
    padding: 0 10px;
    margin: 0;
}


/*Стили подвала*/

.tg {
    width: 50px;
    height: 50px;
    margin: auto;
}

.footer_content{
    display: flex;
    align-items: center;
    margin-top: 40px;
    padding: 30px 0;
}

.contact{
    display: flex;
    align-items: center;
}

.O0O81b{
    justify-content: center;

}